Name:    krfb
Summary: Desktop sharing
Version: 23.08.4
Release:    1%{?dist}

License: GPLv2+ and GFDL
URL:     https://www.kde.org/applications/system/krfb/

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz


BuildRequires: desktop-file-utils
BuildRequires: extra-cmake-modules
BuildRequires: gettext
BuildRequires: kf5-kcompletion-devel
BuildRequires: kf5-kconfig-devel
BuildRequires: kf5-kcoreaddons-devel
BuildRequires: kf5-kcrash-devel
BuildRequires: kf5-kdoctools-devel
BuildRequires: kf5-kdbusaddons-devel
BuildRequires: kf5-kdnssd-devel
BuildRequires: kf5-ki18n-devel
BuildRequires: kf5-knotifications-devel
BuildRequires: kf5-kwallet-devel
BuildRequires: kf5-kwidgetsaddons
BuildRequires: kf5-kxmlgui-devel
BuildRequires: cmake(KF5Wayland)
BuildRequires: cmake(KF5WindowSystem)
BuildRequires: cmake(KPipeWire)

BuildRequires: cmake(PlasmaWaylandProtocols)

BuildRequires: cmake(Qt5DBus)
BuildRequires: cmake(Qt5X11Extras)
BuildRequires: cmake(Qt5WaylandClient)
BuildRequires: qt5-qtbase-static

BuildRequires: pipewire-devel
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(libvncserver)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(xcb-damage)
BuildRequires: pkgconfig(xcb-image)
BuildRequires: pkgconfig(xcb-render)
BuildRequires: pkgconfig(xcb-shape)
BuildRequires: pkgconfig(xcb-shm)
BuildRequires: pkgconfig(xcb-xfixes)
BuildRequires: pkgconfig(xdamage)
BuildRequires: pkgconfig(wayland-client)

BuildRequires: pkgconfig(xtst)
BuildRequires: libjpeg-devel
BuildRequires: libepoxy-devel

Requires: %{name}-libs = %{version}-%{release}

Conflicts: kdenetwork-common < 7:4.10.80
Provides:  kdenetwork-krfb = 7:%{version}-%{release}

Conflicts: kde-l10n < 17.03

%description
%{summary}.

%package libs
Summary: Runtime libraries for %{name}
Requires: %{name} = %{version}-%{release}
Provides:  kdenetwork-krfb-libs = 7:%{version}-%{release}
%description libs
%{summary}.


%prep
%autosetup -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html


%check
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.krfb.desktop


%files -f %{name}.lang
%license COPYING*
%doc README AUTHORS
%{_kf5_bindir}/krfb
%{_kf5_bindir}/krfb-virtualmonitor
%{_kf5_datadir}/krfb/
%{_kf5_datadir}/applications/org.kde.krfb.desktop
%{_kf5_datadir}/applications/org.kde.krfb.virtualmonitor.desktop
%{_kf5_metainfodir}/org.kde.krfb.appdata.xml
%{_kf5_datadir}/qlogging-categories5/*categories
%{_datadir}/icons/hicolor/*/apps/krfb.*


%files libs
%{_kf5_libdir}/libkrfbprivate.so.5*
%{_kf5_qtplugindir}/krfb/


%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
